org.apache.olingo.odata2.api.batch

## Class BatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.batch.BatchException

- All Implemented Interfaces:
    Serializable

      public class BatchException
      extends ODataMessageException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `INVALID_ACCEPT_HEADER` INVALID_ACCEPT_HEADER requires 1 content value ('header')
    `static MessageReference` | `INVALID_ACCEPT_LANGUAGE_HEADER` INVALID_ACCEPT_LANGUAGE_HEADER requires 1 content value ('header')
    `static MessageReference` | `INVALID_BODY_FOR_REQUEST` INVALID_BODY_FOR_REQUEST requires 1 content value ('line number')
    `static MessageReference` | `INVALID_BOUNDARY` INVALID_BOUNDARY requires 1 content value('line number')
    `static MessageReference` | `INVALID_BOUNDARY_DELIMITER` INVALID_BOUNDARY_DELIMITER requires 1 content value ('line number')
    `static MessageReference` | `INVALID_CHANGESET_BOUNDARY` INVALID_CHANGESET_BOUNDARY requires 1 content value ('line number')
    `static MessageReference` | `INVALID_CHANGESET_METHOD` INVALID_CHANGESET_METHOD requires 1 content value ('line number')
    `static MessageReference` | `INVALID_CONTENT_TRANSFER_ENCODING` INVALID_CONTENT_TRANSFER_ENCODING requires 1 content value
    `static MessageReference` | `INVALID_CONTENT_TYPE` INVALID_CONTENT_TYPE requires 1 content value ('required content-type')
    `static MessageReference` | `INVALID_HEADER` INVALID_HEADER requires 1 content value ('header', 'line number')
    `static MessageReference` | `INVALID_PATHINFO` INVALID_PATHINFO requires no content value
    `static MessageReference` | `INVALID_QUERY_OPERATION_METHOD` INVALID_QUERY_OPERATION_METHOD requires 1 content value ('line number')
    `static MessageReference` | `INVALID_QUERY_PARAMETER` INVALID_QUERY_PARAMETER requires no content value
    `static MessageReference` | `INVALID_REQUEST_LINE` INVALID_REQUEST_LINE requires 2 content value ('request line', 'line number')
    `static MessageReference` | `INVALID_STATUS_LINE` INVALID_STATUS_LINE requires 2 content value ('status line', 'line number')
    `static MessageReference` | `INVALID_URI` INVALID_URI requires 1 content value('line number')
    `static MessageReference` | `MISSING_BLANK_LINE` MISSING_BLANK_LINE requires 2 content value ('supplied line','line number')
    `static MessageReference` | `MISSING_BOUNDARY_DELIMITER` MISSING_BOUNDARY_DELIMITER requires 1 content value('line number')
    `static MessageReference` | `MISSING_CLOSE_DELIMITER` MISSING_CLOSE_DELIMITER requires 1 content value ('line number')
    `static MessageReference` | `MISSING_CONTENT_TYPE` MISSING_CONTENT_TYPE requires no content value
    `static MessageReference` | `MISSING_MANDATORY_HEADER` MISSONG MANDATORY HEADER requires 1 content value ('header name')
    `static MessageReference` | `MISSING_METHOD` MISSING_METHOD requires 1 content value ('request line')
    `static MessageReference` | `MISSING_PARAMETER_IN_CONTENT_TYPE` MISSING_PARAMETER_IN_CONTENT_TYPE requires no content value
    `static MessageReference` | `NO_MATCH_WITH_BOUNDARY_STRING` NO_MATCH_WITH_BOUNDARY_STRING requires 2 content value ('required boundary', 'line number')
    `static MessageReference` | `TRUNCATED_BODY` TRUNCETED_BODY requires 1 content value ('line number')
    `static MessageReference` | `UNSUPPORTED_ABSOLUTE_PATH` UNSUPPORTED_ABSOLUTE_PATH requires 1 content value ('line number')

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `COMMON, errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchException(MessageReference messageReference)`
    `BatchException(MessageReference messageReference, String errorCode)`
    `BatchException(MessageReference messageReference, Throwable cause)`
    `BatchException(MessageReference messageReference, Throwable cause, String errorCode)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INVALID_CHANGESET_BOUNDARY

          public static final MessageReference INVALID_CHANGESET_BOUNDARY

      INVALID_CHANGESET_BOUNDARY requires 1 content value ('line number')

    - #### INVALID_BOUNDARY_DELIMITER

          public static final MessageReference INVALID_BOUNDARY_DELIMITER

      INVALID_BOUNDARY_DELIMITER requires 1 content value ('line number')

    - #### MISSING_BOUNDARY_DELIMITER

          public static final MessageReference MISSING_BOUNDARY_DELIMITER

      MISSING_BOUNDARY_DELIMITER requires 1 content value('line number')

    - #### MISSING_CLOSE_DELIMITER

          public static final MessageReference MISSING_CLOSE_DELIMITER

      MISSING_CLOSE_DELIMITER requires 1 content value ('line number')

    - #### MISSING_MANDATORY_HEADER

          public static final MessageReference MISSING_MANDATORY_HEADER

      MISSONG MANDATORY HEADER requires 1 content value ('header name')

    - #### INVALID_QUERY_OPERATION_METHOD

          public static final MessageReference INVALID_QUERY_OPERATION_METHOD

      INVALID_QUERY_OPERATION_METHOD requires 1 content value ('line number')

    - #### INVALID_CHANGESET_METHOD

          public static final MessageReference INVALID_CHANGESET_METHOD

      INVALID_CHANGESET_METHOD requires 1 content value ('line number')

    - #### INVALID_QUERY_PARAMETER

          public static final MessageReference INVALID_QUERY_PARAMETER

      INVALID_QUERY_PARAMETER requires no content value

    - #### INVALID_URI

          public static final MessageReference INVALID_URI

      INVALID_URI requires 1 content value('line number')

    - #### INVALID_BOUNDARY

          public static final MessageReference INVALID_BOUNDARY

      INVALID_BOUNDARY requires 1 content value('line number')

    - #### NO_MATCH_WITH_BOUNDARY_STRING

          public static final MessageReference NO_MATCH_WITH_BOUNDARY_STRING

      NO_MATCH_WITH_BOUNDARY_STRING requires 2 content value ('required boundary', 'line number')

    - #### MISSING_CONTENT_TYPE

          public static final MessageReference MISSING_CONTENT_TYPE

      MISSING_CONTENT_TYPE requires no content value

    - #### INVALID_CONTENT_TYPE

          public static final MessageReference INVALID_CONTENT_TYPE

      INVALID_CONTENT_TYPE requires 1 content value ('required content-type')

    - #### MISSING_PARAMETER_IN_CONTENT_TYPE

          public static final MessageReference MISSING_PARAMETER_IN_CONTENT_TYPE

      MISSING_PARAMETER_IN_CONTENT_TYPE requires no content value

    - #### INVALID_HEADER

          public static final MessageReference INVALID_HEADER

      INVALID_HEADER requires 1 content value ('header', 'line number')

    - #### INVALID_ACCEPT_HEADER

          public static final MessageReference INVALID_ACCEPT_HEADER

      INVALID_ACCEPT_HEADER requires 1 content value ('header')

    - #### INVALID_ACCEPT_LANGUAGE_HEADER

          public static final MessageReference INVALID_ACCEPT_LANGUAGE_HEADER

      INVALID_ACCEPT_LANGUAGE_HEADER requires 1 content value ('header')

    - #### INVALID_CONTENT_TRANSFER_ENCODING

          public static final MessageReference INVALID_CONTENT_TRANSFER_ENCODING

      INVALID_CONTENT_TRANSFER_ENCODING requires 1 content value

    - #### MISSING_BLANK_LINE

          public static final MessageReference MISSING_BLANK_LINE

      MISSING_BLANK_LINE requires 2 content value ('supplied line','line number')

    - #### INVALID_PATHINFO

          public static final MessageReference INVALID_PATHINFO

      INVALID_PATHINFO requires no content value

    - #### MISSING_METHOD

          public static final MessageReference MISSING_METHOD

      MISSING_METHOD requires 1 content value ('request line')

    - #### INVALID_REQUEST_LINE

          public static final MessageReference INVALID_REQUEST_LINE

      INVALID_REQUEST_LINE requires 2 content value ('request line', 'line number')

    - #### INVALID_BODY_FOR_REQUEST

          public static final MessageReference INVALID_BODY_FOR_REQUEST

      INVALID_BODY_FOR_REQUEST requires 1 content value ('line number')

    - #### INVALID_STATUS_LINE

          public static final MessageReference INVALID_STATUS_LINE

      INVALID_STATUS_LINE requires 2 content value ('status line', 'line number')

    - #### TRUNCATED_BODY

          public static final MessageReference TRUNCATED_BODY

      TRUNCETED_BODY requires 1 content value ('line number')

    - #### UNSUPPORTED_ABSOLUTE_PATH

          public static final MessageReference UNSUPPORTED_ABSOLUTE_PATH

      UNSUPPORTED_ABSOLUTE_PATH requires 1 content value ('line number')

  - ### Constructor Detail

    - #### BatchException

          public BatchException(MessageReference messageReference)

    - #### BatchException

          public BatchException(MessageReference messageReference,
                                Throwable cause)

    - #### BatchException

          public BatchException(MessageReference messageReference,
                                String errorCode)

    - #### BatchException

          public BatchException(MessageReference messageReference,
                                Throwable cause,
                                String errorCode)

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.